## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl
Class SybaseASEIndexImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl
                                      org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEIndexImpl

All Implemented Interfaces:
  SybaseASEIndex, Index, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  SybaseASECatalogIndex

    public class SybaseASEIndexImpl

extends org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl
implements SybaseASEIndex

An implementation of the model object 'Sybase ASE Index'.

The following features are implemented:

- `Max Row Per Page`
- `Reverse Page Gap`
- `Ignore Duplicate Key`
- `Sorted Data`
- `Ignore Duplicate Row`
- `Segment`
- `Local Index`
- `Partitions`
- `Consumer Num`
- `Statistics Step`
- `Allow Duplicate Row`
- `Suspect`
- `Cache Info`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`SybaseASESegment` `basicGetSegment()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetCacheInfo(CacheInfo newCacheInfo, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`CacheInfo` `getCacheInfo()`
`int` `getConsumerNum()`
`int` `getMaxRowPerPage()`
`org.eclipse.emf.common.util.EList` `getPartitions()`
`int` `getReversePageGap()`
`SybaseASESegment` `getSegment()`
`int` `getStatisticsStep()`
`boolean` `isAllowDuplicateRow()`
`boolean` `isIgnoreDuplicateKey()`
`boolean` `isIgnoreDuplicateRow()`
`boolean` `isLocalIndex()`
`boolean` `isSortedData()`
`boolean` `isSuspect()`
`void` `setAllowDuplicateRow(boolean newAllowDuplicateRow)`
`void` `setCacheInfo(CacheInfo newCacheInfo)`
`void` `setConsumerNum(int newConsumerNum)`
`void` `setIgnoreDuplicateKey(boolean newIgnoreDuplicateKey)`
`void` `setIgnoreDuplicateRow(boolean newIgnoreDuplicateRow)`
`void` `setLocalIndex(boolean newLocalIndex)`
`void` `setMaxRowPerPage(int newMaxRowPerPage)`
`void` `setReversePageGap(int newReversePageGap)`
`void` `setSegment(SybaseASESegment newSegment)`
`void` `setSortedData(boolean newSortedData)`
`void` `setStatisticsStep(int newStatisticsStep)`
`void` `setSuspect(boolean newSuspect)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl
`basicGetSchema, basicGetTable, basicSetSchema, basicSetTable, eInverseAdd, getFillFactor, getForeignKey, getIncludedMembers, getMembers, getSchema, getTable, isClustered, isSystemGenerated, isUnique, setClustered, setFillFactor, setSchema, setSystemGenerated, setTable, setUnique`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Index
`getFillFactor, getForeignKey, getIncludedMembers, getMembers, getSchema, getTable, isClustered, isSystemGenerated, isUnique, setClustered, setFillFactor, setSchema, setSystemGenerated, setTable, setUnique`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMaxRowPerPage

    public int getMaxRowPerPage()

  Specified by:
    `getMaxRowPerPage` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Max Row Per Page' attribute.
  See Also:
    `SybaseASEIndex.setMaxRowPerPage(int)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_MaxRowPerPage()`

### setMaxRowPerPage

    public void setMaxRowPerPage(int newMaxRowPerPage)

  Specified by:
    `setMaxRowPerPage` in interface `SybaseASEIndex`
  Parameters:
    `newMaxRowPerPage` - the new value of the 'Max Row Per Page' attribute.
  See Also:
    `SybaseASEIndex.getMaxRowPerPage()`

### getReversePageGap

    public int getReversePageGap()

  Specified by:
    `getReversePageGap` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Reverse Page Gap' attribute.
  See Also:
    `SybaseASEIndex.setReversePageGap(int)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_ReversePageGap()`

### setReversePageGap

    public void setReversePageGap(int newReversePageGap)

  Specified by:
    `setReversePageGap` in interface `SybaseASEIndex`
  Parameters:
    `newReversePageGap` - the new value of the 'Reverse Page Gap' attribute.
  See Also:
    `SybaseASEIndex.getReversePageGap()`

### isIgnoreDuplicateKey

    public boolean isIgnoreDuplicateKey()

  Specified by:
    `isIgnoreDuplicateKey` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Ignore Duplicate Key' attribute.
  See Also:
    `SybaseASEIndex.setIgnoreDuplicateKey(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_IgnoreDuplicateKey()`

### setIgnoreDuplicateKey

    public void setIgnoreDuplicateKey(boolean newIgnoreDuplicateKey)

  Specified by:
    `setIgnoreDuplicateKey` in interface `SybaseASEIndex`
  Parameters:
    `newIgnoreDuplicateKey` - the new value of the 'Ignore Duplicate Key' attribute.
  See Also:
    `SybaseASEIndex.isIgnoreDuplicateKey()`

### isSortedData

    public boolean isSortedData()

  Specified by:
    `isSortedData` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Sorted Data' attribute.
  See Also:
    `SybaseASEIndex.setSortedData(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_SortedData()`

### setSortedData

    public void setSortedData(boolean newSortedData)

  Specified by:
    `setSortedData` in interface `SybaseASEIndex`
  Parameters:
    `newSortedData` - the new value of the 'Sorted Data' attribute.
  See Also:
    `SybaseASEIndex.isSortedData()`

### isIgnoreDuplicateRow

    public boolean isIgnoreDuplicateRow()

  Specified by:
    `isIgnoreDuplicateRow` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Ignore Duplicate Row' attribute.
  See Also:
    `SybaseASEIndex.setIgnoreDuplicateRow(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_IgnoreDuplicateRow()`

### setIgnoreDuplicateRow

    public void setIgnoreDuplicateRow(boolean newIgnoreDuplicateRow)

  Specified by:
    `setIgnoreDuplicateRow` in interface `SybaseASEIndex`
  Parameters:
    `newIgnoreDuplicateRow` - the new value of the 'Ignore Duplicate Row' attribute.
  See Also:
    `SybaseASEIndex.isIgnoreDuplicateRow()`

### getSegment

    public SybaseASESegment getSegment()

  Specified by:
    `getSegment` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Segment' reference.
  See Also:
    `SybaseASEIndex.setSegment(SybaseASESegment)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_Segment()`

### basicGetSegment

    public SybaseASESegment basicGetSegment()

### setSegment

    public void setSegment(SybaseASESegment newSegment)

  Specified by:
    `setSegment` in interface `SybaseASEIndex`
  Parameters:
    `newSegment` - the new value of the 'Segment' reference.
  See Also:
    `SybaseASEIndex.getSegment()`

### isLocalIndex

    public boolean isLocalIndex()

  Specified by:
    `isLocalIndex` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Local Index' attribute.
  See Also:
    `SybaseASEIndex.setLocalIndex(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_LocalIndex()`

### setLocalIndex

    public void setLocalIndex(boolean newLocalIndex)

  Specified by:
    `setLocalIndex` in interface `SybaseASEIndex`
  Parameters:
    `newLocalIndex` - the new value of the 'Local Index' attribute.
  See Also:
    `SybaseASEIndex.isLocalIndex()`

### getPartitions

    public org.eclipse.emf.common.util.EList getPartitions()

  Specified by:
    `getPartitions` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Partitions' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEIndex_Partitions()`

### getConsumerNum

    public int getConsumerNum()

  Specified by:
    `getConsumerNum` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Consumer Num' attribute.
  See Also:
    `SybaseASEIndex.setConsumerNum(int)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_ConsumerNum()`

### setConsumerNum

    public void setConsumerNum(int newConsumerNum)

  Specified by:
    `setConsumerNum` in interface `SybaseASEIndex`
  Parameters:
    `newConsumerNum` - the new value of the 'Consumer Num' attribute.
  See Also:
    `SybaseASEIndex.getConsumerNum()`

### getStatisticsStep

    public int getStatisticsStep()

  Specified by:
    `getStatisticsStep` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Statistics Step' attribute.
  See Also:
    `SybaseASEIndex.setStatisticsStep(int)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_StatisticsStep()`

### setStatisticsStep

    public void setStatisticsStep(int newStatisticsStep)

  Specified by:
    `setStatisticsStep` in interface `SybaseASEIndex`
  Parameters:
    `newStatisticsStep` - the new value of the 'Statistics Step' attribute.
  See Also:
    `SybaseASEIndex.getStatisticsStep()`

### isAllowDuplicateRow

    public boolean isAllowDuplicateRow()

  Specified by:
    `isAllowDuplicateRow` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Allow Duplicate Row' attribute.
  See Also:
    `SybaseASEIndex.setAllowDuplicateRow(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_AllowDuplicateRow()`

### setAllowDuplicateRow

    public void setAllowDuplicateRow(boolean newAllowDuplicateRow)

  Specified by:
    `setAllowDuplicateRow` in interface `SybaseASEIndex`
  Parameters:
    `newAllowDuplicateRow` - the new value of the 'Allow Duplicate Row' attribute.
  See Also:
    `SybaseASEIndex.isAllowDuplicateRow()`

### isSuspect

    public boolean isSuspect()

  Specified by:
    `isSuspect` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Suspect' attribute.
  See Also:
    `SybaseASEIndex.setSuspect(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_Suspect()`

### setSuspect

    public void setSuspect(boolean newSuspect)

  Specified by:
    `setSuspect` in interface `SybaseASEIndex`
  Parameters:
    `newSuspect` - the new value of the 'Suspect' attribute.
  See Also:
    `SybaseASEIndex.isSuspect()`

### getCacheInfo

    public CacheInfo getCacheInfo()

  Specified by:
    `getCacheInfo` in interface `SybaseASEIndex`
  Returns:
    the value of the 'Cache Info' containment reference.
  See Also:
    `SybaseASEIndex.setCacheInfo(CacheInfo)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_CacheInfo()`

### basicSetCacheInfo

    public org.eclipse.emf.common.notify.NotificationChain basicSetCacheInfo(CacheInfo newCacheInfo,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setCacheInfo

    public void setCacheInfo(CacheInfo newCacheInfo)

  Specified by:
    `setCacheInfo` in interface `SybaseASEIndex`
  Parameters:
    `newCacheInfo` - the new value of the 'Cache Info' containment reference.
  See Also:
    `SybaseASEIndex.getCacheInfo()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.datatools.modelbase.sql.constraints.impl.IndexImpl`